/* ===============================================
チャーリー日記の設定
=============================================== */
/* トップページの設定 */
.charlie-top {
	position: relative;
	margin-top: 80px;
	padding: 20px 10px 80px;
	border: 4px solid #000000;
	background: #62d382;
}
.charlie-top::before {
	content: "";
	position: absolute;
	bottom: -4px;
	left: 20px;
	width: 35%;
	min-width: 200px;
	height: 70px;
	background: url('../images/charlie_left.png') no-repeat left bottom / contain;
}
.charlie-top::after {
	content: "";
	position: absolute;
	bottom: -4px;
	right: 50px;
	width: 7%;
	min-width: 45px;
	height: 70px;
	background: url('../images/charlie_right.png') no-repeat left bottom / contain;
}
.charlie-top-wrap {
	width: calc(100% - 40px);
	padding: 0 20px;
	/* aspect-ratio: 16 / 10; */
	/* overflow-y: scroll; */
}
.charlie-top h2 {
	position: relative;
	margin-bottom: 1em !important;
}
.charlie-top h2::before {
	content: "";
	position: absolute;
	bottom: -15px;
	left: 0;
	width: 100%;
	height: 3px;
	background: #000000;
}
.charlie-top h3 {
	margin-bottom: 1.2em !important;
	font-size: 3.6rem !important;
}
.charlie-content {
	display: flex;
	flex-wrap: wrap;
	align-items:flex-start;
}
.charlie-content-text {
	width: 50%;
	font-family:  "プフ ホリデー", "Puhu Holiday";
}
.charlie-content-thumb {
	position: relative;
	margin-left: 20px;
	width: calc(50% - 26px);
	aspect-ratio: 1 / 1;
	border-radius: 10px;
	overflow: hidden;
}
.charlie-content-thumb::before {
	position: absolute;
	content: "";
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	border: 4px solid #000000;
	border-radius: 10px;
	pointer-events: none;
	z-index: 1;
}
.charlie-content-thumb img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	object-fit: cover;
}
@media(max-width:768px) {
	.charlie-top {
	padding: 20px 10px 60px;
	}
	.charlie-top-wrap {
		padding: 0 10px;
		width: calc(100% - 20px);
		aspect-ratio: 1 / 1;
	}
	.charlie-top h3 {
		margin-bottom: 0.5em !important;
		font-size: 2.8rem !important;
	}
	.charlie-content-text {
		width: 100%;
	}
	.charlie-content-thumb {
		margin-top: 30px;
		margin-left: 0;
		width: 100%;
	}
}

/* チャーリー日記ページの設定 */
/* ページタイトル */
.page-title-wrap.page-title-charlie {
	position: relative;
	margin-top: 160px;
	padding: 30px 30px 45px;
	border: 4px solid #000000;
	background: #62d382;
}
.page-title-wrap.page-title-charlie::before {
	content: "";
	position: absolute;
	bottom: -4px;
	left: 20px;
	width: 35%;
	min-width: 200px;
	height: 70px;
	background: url('../images/charlie_left.png') no-repeat left bottom / contain;
}
.page-title-wrap.page-title-charlie::after {
	content: "";
	position: absolute;
	bottom: -4px;
	right: 50px;
	width: 7%;
	min-width: 45px;
	height: 70px;
	background: url('../images/charlie_right.png') no-repeat left bottom / contain;
}
.page-title-wrap.page-title-charlie .page-title {
	font-size: 4.8rem;
}
@media(max-width:768px) {
	.page-title-wrap.page-title-charlie {
			padding: 30px 30px 45px;
	}
	.page-title-wrap.page-title-charlie .page-title {
		font-size: 3.2rem;
	}
}

/* チャーリー日記 一覧 */
.charlie-diary-col {
	justify-content: revert;
}
.charlie-diary-col li {
	margin-bottom: 20px;
}
.charlie-diary-col h3.col-summary-title, .charlie-diary-col h2.col-summary-title {
	font-size: 2.8rem;
}
.modalCharlie-thumb {
	position: relative;
	width: 100%;
	aspect-ratio: 1 / 1;
	border-radius: 10px;
	overflow: hidden;
}
.modalCharlie-thumb::before {
	position: absolute;
	content: "";
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	border: 4px solid #000000;
	border-radius: 10px;
	pointer-events: none;
	z-index: 1;
}
.modalCharlie-thumb img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: calc(100% + 1px);
	height: calc(100% + 1px);
	object-fit: cover;
}
@media(max-width:768px) {
	.charlie-diary-col h3.col-summary-title, .charlie-diary-col h2.col-summary-title {
		font-size: 2.4rem;
	}
}

/* チャーリー日記 モーダル */
.modalCharlie {
	padding: 40px 30px 0;
	height: fit-content !important;
	border: 4px solid #000000;
	font-family:  "プフ ホリデー", "Puhu Holiday";
	max-height: 100vh;
	box-sizing: border-box;
}
.modalCharlie::before {
	content: "";
	position: absolute;
	bottom: -4px;
	left: 20px;
	width: 35%;
	min-width: 200px;
	height: 70px;
	background: url('../images/charlie_left.png') no-repeat left bottom / contain;
	z-index: 2;
}
.modalCharlie::after {
	content: "";
	position: absolute;
	bottom: -4px;
	right: 50px;
	left: auto;
	width: 7%;
	min-width: 45px;
	height: 70px;
	background: url('../images/charlie_right.png') no-repeat left bottom / contain;
	opacity: 1;
	z-index: 2;
}
.modalCharlie h2 {
	position: relative;
	margin-bottom: 1em;
	padding-bottom: 1em;
	font-family:  "プフ ピクニック", "Puhu Picnic";
	font-size: 3rem;
}
.modalCharlie h2::before {
	position: absolute;
	bottom: 0;
	left: 0;
	content: "";
	width: 100%;
	height: 3px;
	background: #000000;
}
.modalCharlie-content {
	margin-bottom: 60px;
	display: flex;
	flex-wrap: wrap;
	align-items:flex-start;
}
.modalCharlie-content-text {
	width: 50%;
	font-size: 3rem;
}
.modalCharlie-content-thumb {
	position: relative;
	margin-left: 20px;
	width: calc(50% - 26px);
	aspect-ratio: 1 / 1;
	border: 4px solid #000000;
	border-radius: 10px;
	overflow: hidden;
}
.modalCharlie-content-thumb img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
@media(max-width:768px) {
	.modalCharlie {
		margin: 20px 0;
		padding: 30px 10px 0;
		max-height: calc(100vh - 40px);
		overflow-y: hidden;
	}
	.modalCharlie-content-text {
		width: 100%;
		font-size: 2.8rem;
	}
	.modalCharlie-content-thumb {
		margin-top: 30px;
		margin-left: 0;
		width: 100%;
	}
}
.modalCharlie a[data-izimodal-close] {
	position: fixed;
}